##### windows::basic_object_handle::cancel (2 of 2 overloads)

Cancel all asynchronous operations associated with the handle.

    void cancel(
        asio::error_code & ec);

This function causes all outstanding asynchronous read or write operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.